0
Fixed

Service installer fails to run a database upgrade if a database is already present

Matthew Clark 8 years ago • updated by anonymous 4 years ago 3

After uninstalling Identity Broker, I attempted to reinstall it with the database upgrade option. An error appears stating that a constraint could not be dropped. The installer may need to log a better message or not attempt the upgrade if the same database version is found.


Constraint Error.png
Affected Versions:
Fixed by Version:

Add a version check into the start of the SQL script.

Upgrade install option does not throw this error any longer, issue closed